कोणीय 8 वेब घटकों

वोट
-1

यह मेरा पहला कोणीय वेब घटकों पर काम कर रहा है। मैं कई ऑनलाइन ट्यूटोरियल की कोशिश की और यहां तक ​​कि वीडियो ट्यूटोरियल, मुझे लगता है कि उदाहरण ट्यूटोरियल में चर्चा की कोणीय 5/6/7 संस्करणों में से हैं, लेकिन उदाहरण या कोणीय 8 के लिए ट्यूटोरियल नहीं मिल रहा।

पर चाहते npm run buildकोणीय 5/6/7 संस्करणों में यह इस फ़ाइलें उत्पन्न होगा:

./dist/my-app/runtime.js,
./dist/my-app/polyfills.js,
./dist/my-app/scripts.js,
./dist/my-app/main.js

लेकिन कोणीय 8 में यह इस फाइल को उत्पन्न करता है:

./dist/my-app/runtime-es2015.js,
./dist/my-app/runtime-es2015.js,
./dist/my-app/polyfills-es2015.js,
./dist/my-app/polyfills-es5.js,
./dist/my-app/scripts.js,
./dist/my-app/main-es5.js
./dist/my-app/main-es2015.js

मैं इन ट्यूटोरियल की कोशिश की कोणीय साथ वेब घटकों

वेब घटकों कोणीय का उपयोग कर - आपको यकीन है?

मैं इस हिस्से पर अटक कर रहा हूँ

एक एकल फाइल के रूप में हमारी वेब घटक बाहर फेंकने के लिए एक स्क्रिप्ट बनाने

क्योंकि फ़ाइलों से मेल नहीं खाते

09/10/2019 को 12:58
का स्रोत उपयोगकर्ता
अन्य भाषाओं में...                            


1 जवाब

वोट
0

यह लोड हो रहा है अंतर के कारण है। कोणीय 8 में शुरू की एक नई सुविधा सभी ब्राउज़रों में एप्लिकेशन लोड करने के लिए। कोणीय 8 में फ़ाइल है browserlist परियोजना रूट फ़ोल्डर में किया जाना है। निम्नलिखित प्रविष्टियों अंतर लोड हो रहा है निष्क्रिय करने के लिए परियोजना पर की जरूरत थी और किन फ़ाइलों से मिलान करने में मदद करता है

> 0.5%
last 2 versions
Firefox ESR
not dead
not IE 9-11
not samsung 4
not android 4.4.3-4.4.4
not last 2 ie_mob versions
not last 2 op_mini versions
not last 2 op_mob versions
not last 2 baidu versions
not last 2 kaios versions
not last 2 and_uc versions
not last 2 and_qq versions
not last 2 edge versions
not chrome 49
09/10/2019 को 13:06
का स्रोत उपयोगकर्ता

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more